namespace EVCB_OCPP.Domain.ConnectionLogContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Init : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.MachineConnectionLog",
                c => new
                    {
                        Id = c.Long(nullable: false, identity: true),
                        ChargePointSerialNumber = c.String(maxLength: 25),
                        IpPort = c.String(maxLength: 30),
                        ClientIpPort = c.String(maxLength: 30),
                        MessageType = c.String(maxLength: 50),
                        Data = c.String(maxLength: 4000),
                        Msg = c.String(),
                        CreatedOn = c.DateTime(nullable: false),
                    })
                .PrimaryKey(t => t.Id);
            
        }
        
        public override void Down()
        {
            DropTable("dbo.MachineConnectionLog");
        }
    }
}
