﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 機器的模組
    /// { Id = 0, Name = "Beaglebone" },
    /// { Id = 1, Name = "IPC" },
    /// { Id = 2, Name = "HMI" }
    /// </summary>
    [Table("MachineModel")]
    public partial class MachineModel
    {
        [Key]
        public int Id { get; set; }

        [StringLength(36)]       
        public string Name { get; set; }
    }
}
