﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    public class TransactionDataRecord
    {
        [Key]
        public Int64 Id { set; get; }

        public byte ConnectorId { get; set; }

        /// <summary>
        /// TransactionId
        /// </summary>       
        public int TransactionId { get; set; }

        /// <summary>
        /// chargePointSerialNumber
        /// </summary>       
        [StringLength(128)]
        public string ChargeBoxId { get; set; }


        public int ContextId { set; get; }


        public int FormatId { set; get; }


        public int MeasurandId { set; get; }


        public int PhaseId { set; get; }


        public int LocationId { set; get; }

        [StringLength(10)]
        public string Value { set; get; }


        public int UnitId { set; get; }


        public DateTime MeasuredOn { set; get; }
    }
}
