﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum ConfigurationStatus
    {
        /// <summary>
        /// 接受請求，馬上執行變更
        /// </summary>
        Accepted=1,
        /// <summary>
        /// 拒絕請求
        /// </summary>
        Rejected,
        /// <summary>
        /// 已更改設定，需透過後台下發Reboot才會生效
        /// </summary>
        RebootRequired,
        NotSupported,
    }
}
